NOTE: The Vehicle Locations API is an older API that does not combine GPS data with onboard diagnostics. Try our new Vehicle Stats API instead.
Returns the last known location of all vehicles at the given time. If no time is specified, the current time is used. This can be optionally filtered by tags or specific vehicle IDs.
Related guide: Vehicle Locations.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Vehicle Statistics under the Vehicles category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"location": {
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"heading": 120,
"reverseGeo": {
"formattedLocation": "16 N Fair Oaks Ave, Pasadena, CA 91103"
},
"speed": 48.3
},
"name": "Truck A7"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data that returns the last known data points with timestamps less than or equal to this value. Defaults to now if not provided. Must be a string in RFC 3339 format. Millisecond precision and timezones are supported. (Example: 2020-01-27T07:06:25Z).
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of vehicle IDs. Example: vehicleIds=1234,5678
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"location": {
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"heading": 120,
"reverseGeo": {
"formattedLocation": "16 N Fair Oaks Ave, Pasadena, CA 91103"
},
"speed": 48.3
},
"name": "Truck A7"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}